# Examples

Demos to show key functionalities via notebooks and GUI applications, with [TorchScript](https://pytorch.org/docs/stable/jit.html) support.

Name convention: `data_method` or `data_method_lightn` for lightning

Domain-specific development in three areas

* `medim` Medical image analysis
  * Disease diagnosis on cardiac MRI (What data?)
  * Disease diagnosis on brain fMRI (ABIDE-NYU?)
  * Cardiac MRI landmark localisation (What data?)
  * Cardiac MRI segmentation (ACDC?)
  * Cardiac MRI quality analysis (What data?)
* `graph` Graph/Network analysis
  * Node classification on `Cora`
  * `biokg` subset from OGB?
  * `movielens` subset and what KG?
* `vision` Computer vision
  * Image classificaiton on `CIFAR10`
  * Action recognition from EPIC-Kitchen subset?
  * Pose estimation from COCO subset?
